<div id="boardContainer" class="board" ng-model="board">
    <h2>
        <div class="board-pre"></div>
        <span editable-text="board.name">{{ board.name }}</span>
        <div ng-if="board.protected && board.user_id != user.id" class="protected">
            <i class="fa fa-exclamation"></i>
            <i class="fa fa-lock"></i>
            <h3>PROTECTED</h3>
            <p>Pay attention, this board is protected and therefore your changes will not be saved</p>
        </div>
        <div ng-if="board.protected && board.user_id == user.id" class="protected">
            <i class="fa fa-exclamation"></i>
            <i class="fa fa-unlock"></i>
            <h3>PROTECTED</h3>
            <p>Pay attention, this board is protected but you are the owner and changes will be saved</p>
        </div>
        <div ng-if="board.visibility == 'private'" class="protected">
            <i class="fa fa-lock"></i>
            <h3>PRIVATE</h3>
            <p>This is a private board. Other users cannot access this resource.</p>
        </div>
        <div ng-if="board.visibility == 'shared'" class="protected">
            <i class="fa fa-eye"></i>
            <h3>SHARED</h3>
            <p>This is a shared board. Other users can access this resource through password.</p>
        </div>
        <div ng-if="board.visibility == 'shared' && user && board.user_id != user.id && !board.isLinked" class="add-shared">
            <i ng-click="importBoard(board)" class="fa fa-plus"></i>
            <h3 ng-click="importBoard(board)">Import</h3>
            <p>This is a shared board. You can import it in your shared boards.</p>
        </div>
        <div ng-if="board.visibility == 'shared' && (board.user_id == user.id || board.isLinked )" class="add-shared">
            <i class="fa fa-share"></i>
            <h3>Share</h3>
            <p>
                <input type="text" value="{{origin}}/#/boards/{{board.code}}{{secret ? '-' + secret : ''}}" size="50" select-all></input>
            </p>
        </div>
    </h2>
    <div class="columns">
        <div class="column" ng-repeat="column in board.columns" >
            <div as-sortable="dragOptions" ng-model="column.items">
                <h3>
                    <span editable-text="column.name">{{ column.name }} </span>
                    <span class="count"
                        ng-class="column.items.length > 5 ? 'count-high' : (column.items.length > 3 ? 'count-critical' : '')" >({{ column.items.length }})</span>
                </h3>
                <div class="items">
                    <div class="item-wrapper" ng-repeat="item in column.items" as-sortable-item >
                        <ng-include src="'modules/board/card.html'"></ng-include>
                    </div>                  
                </div>
                <div class="new-item-wrapper">
                    <button type="button" class="btn btn-default new-item" title="Add card" ng-click="addItem(column)">
                        <i class="fa fa-plus"></i>
                    </button>
                </div>
            </div>
        </div>        
    </div>
</div>
<div class="bg-style">
    <i class="fa fa-picture-o"></i>
    Background
    <select id="board-bg" ng-model="bgStyle" ng-options="item.value as item.label for item in bgStyles">
    </select> 
</div>